Bug 182482 - [patch] Update science/jmol to 13.2.3
Summary: [patch] Update science/jmol to 13.2.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pawel Pekala
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-29 07:40 UTC by maxclsb
Modified: 2013-11-07 17:03 UTC (History)
0 users

See Also:


Attachments
file.diff (6.23 KB, patch)
2013-09-29 07:40 UTC, maxclsb
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description maxclsb 2013-09-29 07:40:00 UTC
Update science/jmol to 13.2.3

Fix: Patch attached with submission follows:
Comment 1 Pawel Pekala freebsd_committer 2013-11-04 19:52:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

I'll take it.
Comment 2 dfilter service freebsd_committer 2013-11-07 16:53:41 UTC
Author: pawel
Date: Thu Nov  7 16:53:33 2013
New Revision: 333140
URL: http://svnweb.freebsd.org/changeset/ports/333140

Log:
  - Update to version 13.2.3 [1]
  - Remove leading article, revise capitalization in COMMENT
  - Convert to new options framework
  - Support staging
  - Add launch script and desktop entry file
  
  PR:		ports/182482 [1]
  Submitted by:	Max Sterling <maxclsb@gmail.com> [1]

Added:
  head/science/jmol/files/
  head/science/jmol/files/jmol.in   (contents, props changed)
Modified:
  head/science/jmol/Makefile   (contents, props changed)
  head/science/jmol/distinfo   (contents, props changed)
  head/science/jmol/pkg-plist   (contents, props changed)

Modified: head/science/jmol/Makefile
==============================================================================
--- head/science/jmol/Makefile	Thu Nov  7 16:49:34 2013	(r333139)
+++ head/science/jmol/Makefile	Thu Nov  7 16:53:33 2013	(r333140)
@@ -2,9 +2,9 @@
 # $FreeBSD$
 
 PORTNAME=	jmol
-PORTVERSION=	12.2.23
+PORTVERSION=	13.2.3
 CATEGORIES=	science java
-MASTER_SITES=	SF/${PORTNAME}/Jmol/Version%2012.2/Version%20${PORTVERSION}:source1 \
+MASTER_SITES=	SF/${PORTNAME}/Jmol/Version%2013.2/Version%20${PORTVERSION}:source1 \
 		http://jmol.svn.sourceforge.net/viewvc/jmol/trunk/Jmol/selfSignedCertificate/:source2
 DISTFILES=	Jmol-${PORTVERSION}-full.tar.gz:source1 \
 		selfSignedCertificate.cer:source2 \
@@ -12,44 +12,20 @@ DISTFILES=	Jmol-${PORTVERSION}-full.tar.
 EXTRACT_ONLY=	Jmol-${PORTVERSION}-full.tar.gz
 
 MAINTAINER=	ports@FreeBSD.org
-COMMENT=	An Open-Source Java Viewer for Chemical Structures in 3D
+COMMENT=	Open-source Java viewer for chemical structures in 3D
 
 USE_JAVA=	yes
-JAVA_VERSION=	1.6+
-WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
-JMOL_FILES=	Jmol.jar JmolApplet.jar JmolApplet0.jar \
-		JmolApplet0_Console.jar \
-		JmolApplet0_Minimize.jar \
-		JmolApplet0_Popup.jar \
-		JmolApplet0_ReadersCifPdb.jar JmolApplet0_ReadersMolXyz.jar \
-		JmolApplet0_ReadersMore.jar JmolApplet0_ReadersXml.jar \
-		JmolApplet0_ShapeBio.jar JmolApplet0_ShapeSpecial.jar \
-		JmolApplet0_ShapeSurface.jar \
-		JmolApplet0_Smiles.jar JmolApplet0_Symmetry.jar \
-		JmolData.jar
+JAVA_VERSION=	1.7+
+USE_ANT=	yes
+ALL_TARGET=	all
 
-JMOL_FILES_EXT=	Jmol.js
+WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
 SIGN_DIR=	${WRKSRC}/selfSignedCertificate
+SUB_FILES=	${PORTNAME}
 
-.if !defined(WITHOUT_COMPILE)
-USE_ANT=	yes
-ALL_TARGET=	all
-.if !defined(NOPORTDOCS)
-ALL_TARGET=	main
-.endif
-.else
-NO_BUILD=	yes
-.endif
-
-NO_STAGE=	yes
-.include <bsd.port.pre.mk>
-
-pre-fetch:
-	@${ECHO_MSG} ""
-	@${ECHO_MSG} "You may use the following build options:"
-	@${ECHO_MSG} ""
-	@${ECHO_MSG} "    WITHOUT_COMPILE=yes    Install the pre-compiled .jar file"
-	@${ECHO_MSG} ""
+OPTIONS_DEFINE=	DOCS
+
+DESKTOP_ENTRIES="Jmol" "" "" "${PORTNAME}" "" false
 
 post-extract:
 	@${MKDIR} ${SIGN_DIR}
@@ -57,28 +33,10 @@ post-extract:
 	@${CP} ${DISTDIR}/selfSignedCertificate.store ${SIGN_DIR}
 
 do-install:
-.for j in ${JMOL_FILES_EXT}
-	${INSTALL_DATA} ${WRKSRC}/${j} ${JAVAJARDIR}
-.endfor
-
-.if !defined(WITHOUT_COMPILE)
-.for j in ${JMOL_FILES}
-	${INSTALL_DATA} ${WRKSRC}/build/${j} ${JAVAJARDIR}
-.endfor
-	${INSTALL_DATA} ${WRKSRC}/build/JmolApplet0_i18n_*.jar ${JAVAJARDIR}
-.else
-.for j in ${JMOL_FILES}
-	${INSTALL_DATA} ${WRKSRC}/${j} ${JAVAJARDIR}
-.endfor
-	${INSTALL_DATA} ${WRKSRC}/build/JmolApplet0_i18n_*.jar ${JAVAJARDIR}
-.endif
-
-.if !defined(NOPORTDOCS)
-	@${ECHO_MSG} -n ">> Installing documentation in ${DOCSDIR}..."
-	@cd ${WRKSRC}/doc && ${FIND} . -type d -exec ${MKDIR} ${DOCSDIR}/{} \;
-	@cd ${WRKSRC}/doc && ${FIND} . -type f -exec \
-		${INSTALL_DATA} {} ${DOCSDIR}/{} \;
-	@${ECHO_MSG} " [DONE]"
-.endif
+	${INSTALL_SCRIPT} ${WRKDIR}/${PORTNAME} ${STAGEDIR}${PREFIX}/bin
+	(cd ${WRKSRC}/build && ${INSTALL_DATA} Jmol.jar JmolData.jar \
+		JmolLib.jar ${STAGEDIR}${JAVAJARDIR})
+	(cd ${WRKSRC}/doc && ${COPYTREE_SHARE} . ${STAGEDIR}${DOCSDIR}) 
 
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
+.undef MAKE_ARGS

Modified: head/science/jmol/distinfo
==============================================================================
--- head/science/jmol/distinfo	Thu Nov  7 16:49:34 2013	(r333139)
+++ head/science/jmol/distinfo	Thu Nov  7 16:53:33 2013	(r333140)
@@ -1,5 +1,5 @@
-SHA256 (Jmol-12.2.23-full.tar.gz) = 97778f1c488870433c12e3fc728cd80fa59167ac093dec9399cf7e4f7b4924a6
-SIZE (Jmol-12.2.23-full.tar.gz) = 29491696
+SHA256 (Jmol-13.2.3-full.tar.gz) = c5835015ddaebd90c286fbfd55938b6995046481c117a0cd20c7f369f61ba70f
+SIZE (Jmol-13.2.3-full.tar.gz) = 116255368
 SHA256 (selfSignedCertificate.cer) = 0fa14fd5f21593a328ba4439ac17b3b507969d71a2734e392239b83ae8ec2920
 SIZE (selfSignedCertificate.cer) = 735
 SHA256 (selfSignedCertificate.store) = 81b69722530d94dc599ce79382a3386cce518baa7ab79fbb530d13483b51bed5

Added: head/science/jmol/files/jmol.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/science/jmol/files/jmol.in	Thu Nov  7 16:53:33 2013	(r333140)
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+exec java -Djmol.home="%%JAVAJARDIR%%" -jar "%%JAVAJARDIR%%/Jmol.jar" "$@"

Modified: head/science/jmol/pkg-plist
==============================================================================
--- head/science/jmol/pkg-plist	Thu Nov  7 16:49:34 2013	(r333139)
+++ head/science/jmol/pkg-plist	Thu Nov  7 16:53:33 2013	(r333140)
@@ -1,3 +1,4 @@
+bin/jmol
 %%PORTDOCS%%%%DOCSDIR%%/JmolAppletGuide.html
 %%PORTDOCS%%%%DOCSDIR%%/JmolDevelopersGuide.html
 %%PORTDOCS%%%%DOCSDIR%%/JmolUserGuide/ch01.html
@@ -16,7 +17,7 @@
 %%PORTDOCS%%%%DOCSDIR%%/JmolUserGuide/ch04.html
 %%PORTDOCS%%%%DOCSDIR%%/JmolUserGuide/index.html
 %%PORTDOCS%%%%DOCSDIR%%/docbook-xml-4.4.zip
-%%PORTDOCS%%%%DOCSDIR%%/docbook-xsl-1.75.2.tar.gz
+%%PORTDOCS%%%%DOCSDIR%%/docbook-xsl-1.76.1.tar.gz
 %%PORTDOCS%%%%DOCSDIR%%/ibm.license.html
 %%PORTDOCS%%%%DOCSDIR%%/jcfl-1.2.6-source.tar.gz
 %%PORTDOCS%%%%DOCSDIR%%/jpegEncoder.license
@@ -35,6 +36,7 @@
 %%PORTDOCS%%%%DOCSDIR%%/source/JmolHistoryToHtml.xsl
 %%PORTDOCS%%%%DOCSDIR%%/source/JmolHistory_fr.xml
 %%PORTDOCS%%%%DOCSDIR%%/source/JmolHistory_nl.xml
+%%PORTDOCS%%%%DOCSDIR%%/source/JmolHistory_ro.xml
 %%PORTDOCS%%%%DOCSDIR%%/source/applet/browsers.docbook.xml
 %%PORTDOCS%%%%DOCSDIR%%/source/applet/browsers_fr.docbook.xml
 %%PORTDOCS%%%%DOCSDIR%%/source/applet/hardware.docbook.xml
@@ -57,6 +59,7 @@
 %%PORTDOCS%%%%DOCSDIR%%/source/history/changes.xml
 %%PORTDOCS%%%%DOCSDIR%%/source/history/changes_fr.xml
 %%PORTDOCS%%%%DOCSDIR%%/source/history/changes_nl.xml
+%%PORTDOCS%%%%DOCSDIR%%/source/history/changes_ro.xml
 %%PORTDOCS%%%%DOCSDIR%%/source/history/contributors.xml
 %%PORTDOCS%%%%DOCSDIR%%/source/po/JmolAppletGuide.de.po
 %%PORTDOCS%%%%DOCSDIR%%/source/po/JmolAppletGuide.pot
@@ -72,58 +75,8 @@
 %%PORTDOCS%%%%DOCSDIR%%/source/xml2po.sh
 %%PORTDOCS%%%%DOCSDIR%%/splash.ai
 %%JAVAJARDIR%%/Jmol.jar
-%%JAVAJARDIR%%/Jmol.js
-%%JAVAJARDIR%%/JmolApplet.jar
-%%JAVAJARDIR%%/JmolApplet0.jar
-%%JAVAJARDIR%%/JmolApplet0_Console.jar
-%%JAVAJARDIR%%/JmolApplet0_Minimize.jar
-%%JAVAJARDIR%%/JmolApplet0_Popup.jar
-%%JAVAJARDIR%%/JmolApplet0_ReadersCifPdb.jar
-%%JAVAJARDIR%%/JmolApplet0_ReadersMolXyz.jar
-%%JAVAJARDIR%%/JmolApplet0_ReadersMore.jar
-%%JAVAJARDIR%%/JmolApplet0_ReadersXml.jar
-%%JAVAJARDIR%%/JmolApplet0_ShapeBio.jar
-%%JAVAJARDIR%%/JmolApplet0_ShapeSpecial.jar
-%%JAVAJARDIR%%/JmolApplet0_ShapeSurface.jar
-%%JAVAJARDIR%%/JmolApplet0_Symmetry.jar
-%%JAVAJARDIR%%/JmolApplet0_Smiles.jar
 %%JAVAJARDIR%%/JmolData.jar
-%%JAVAJARDIR%%/JmolApplet0_i18n_ar.jar
-%%JAVAJARDIR%%/JmolApplet0_i18n_bs.jar
-%%JAVAJARDIR%%/JmolApplet0_i18n_ca.jar
-%%JAVAJARDIR%%/JmolApplet0_i18n_cs.jar
-%%JAVAJARDIR%%/JmolApplet0_i18n_da.jar
-%%JAVAJARDIR%%/JmolApplet0_i18n_de.jar
-%%JAVAJARDIR%%/JmolApplet0_i18n_el.jar
-%%JAVAJARDIR%%/JmolApplet0_i18n_en_GB.jar
-%%JAVAJARDIR%%/JmolApplet0_i18n_es.jar
-%%JAVAJARDIR%%/JmolApplet0_i18n_et.jar
-%%JAVAJARDIR%%/JmolApplet0_i18n_fi.jar
-%%JAVAJARDIR%%/JmolApplet0_i18n_fy.jar
-%%JAVAJARDIR%%/JmolApplet0_i18n_fr.jar
-%%JAVAJARDIR%%/JmolApplet0_i18n_hu.jar
-%%JAVAJARDIR%%/JmolApplet0_i18n_hy.jar
-%%JAVAJARDIR%%/JmolApplet0_i18n_id.jar
-%%JAVAJARDIR%%/JmolApplet0_i18n_it.jar
-%%JAVAJARDIR%%/JmolApplet0_i18n_ja.jar
-%%JAVAJARDIR%%/JmolApplet0_i18n_jv.jar
-%%JAVAJARDIR%%/JmolApplet0_i18n_ko.jar
-%%JAVAJARDIR%%/JmolApplet0_i18n_nb.jar
-%%JAVAJARDIR%%/JmolApplet0_i18n_nl.jar
-%%JAVAJARDIR%%/JmolApplet0_i18n_ms.jar
-%%JAVAJARDIR%%/JmolApplet0_i18n_oc.jar
-%%JAVAJARDIR%%/JmolApplet0_i18n_pl.jar
-%%JAVAJARDIR%%/JmolApplet0_i18n_pt.jar
-%%JAVAJARDIR%%/JmolApplet0_i18n_pt_BR.jar
-%%JAVAJARDIR%%/JmolApplet0_i18n_ru.jar
-%%JAVAJARDIR%%/JmolApplet0_i18n_sl.jar
-%%JAVAJARDIR%%/JmolApplet0_i18n_sv.jar
-%%JAVAJARDIR%%/JmolApplet0_i18n_ta.jar
-%%JAVAJARDIR%%/JmolApplet0_i18n_te.jar
-%%JAVAJARDIR%%/JmolApplet0_i18n_tr.jar
-%%JAVAJARDIR%%/JmolApplet0_i18n_uk.jar
-%%JAVAJARDIR%%/JmolApplet0_i18n_zh_CN.jar
-%%JAVAJARDIR%%/JmolApplet0_i18n_zh_TW.jar
+%%JAVAJARDIR%%/JmolLib.jar
 %%PORTDOCS%%@dirrm %%DOCSDIR%%/source/xml2po-modes
 %%PORTDOCS%%@dirrm %%DOCSDIR%%/source/po
 %%PORTDOCS%%@dirrm %%DOCSDIR%%/source/history
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Pawel Pekala freebsd_committer 2013-11-07 17:03:47 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!